summaryrefslogtreecommitdiff
path: root/lbmk
diff options
context:
space:
mode:
authorNicholas Chin <nic.c3.14@gmail.com>2023-06-12 17:27:49 -0600
committerNicholas Chin <nic.c3.14@gmail.com>2023-06-12 17:27:49 -0600
commit0fade1b64c0611ad10191e45c797db9d545957a4 (patch)
treee443614186dfb2c19d9be92d121887b61090986a /lbmk
parentb52a7f4f86529e8407d7c1245e5d741a3f53d36d (diff)
lbmk: Fix regressions
- A spurious semicolon caused the arguments to printf in die() to be executed instead of printed - ${@} in die() needs to be in quotes or else printf prints each word on a separate line - The number of arguments to main() does not include main itself so it should be comparing against 1 instead of 2 to determine if enough arguments were supplied.
Diffstat (limited to 'lbmk')
-rwxr-xr-xlbmk4
1 files changed, 2 insertions, 2 deletions
diff --git a/lbmk b/lbmk
index e86190ed..61e6d6da 100755
--- a/lbmk
+++ b/lbmk
@@ -39,7 +39,7 @@ main()
elif [ "${0##*/}" = "blobutil" ]; then
./update blobs $@ || exit 1
exit 0
- elif [ $# -lt 2 ]; then
+ elif [ $# -lt 1 ]; then
die "Too few arguments. Try: ${0} help"
fi
@@ -121,7 +121,7 @@ listmodes()
die()
{
- printf "Error: %s\n"; ${@} 1>&2
+ printf "Error: %s\n" "${@}" 1>&2
exit 1
}